<template>
    <div class="p-3">

        <section class="activity_sec mb-5" v-if="can('dashboard_active_queue', 'View')">
            <div class="activity">
                <div class="activity_ttl base_title">{{ $store.state.locale.queueStatus }}</div>

                <div class="activity_cnt base_block">
                    <ul class="activity_ls">
                        <li v-for="activity in activities" class="davLi">
                            <div class="txt">
                                {{activity.key}}
                            </div>
                            <div class="val">{{activity.value}}</div>
                        </li>
                    </ul>
                </div>
            </div>
        </section>


        <section class="activity_sec mb-5" v-if="can('dashboard_calls_queue', 'View')">
            <div class="activity">
                <div class="activity_ttl base_title">{{ $store.state.locale.callLine }}</div>

                <div class="activity_cnt base_block p-3">
                    <div class="table-responsive settings_content_tb dash_table">
                        <table class="table table-striped">
                            <thead>
                            <tr>
                                <th scope="col">{{ $store.state.locale.number }}</th>
                                <th scope="col">{{ $store.state.locale.callTime }}</th>
                                <th scope="col">{{ $store.state.locale.state }}</th>
                                <th scope="col">{{ $store.state.locale.answeredTime }}</th>
                                <th scope="col">{{ $store.state.locale.operator }}</th>
                                <th scope="col">{{ $store.state.locale.score }}</th>
                                <th scope="col">{{ $store.state.locale.spy }}</th>
                            </tr>
                            </thead>

                            <tbody>
                            <tr v-for="(item, index) in queues" v-if="index < 5">
                                <td>{{ item.element.find(x => x.key === 'cid_number').value | clearPhoneNumber }}</td>
                                <td>{{ item.element.find(x => x.key === 'joined_epoch').value | readyTime }}</td>
                                <td>{{ item.element.find(x => x.key === 'state').value }}</td>
                                <td>{{ item.element.find(x => x.key === 'bridge_epoch').value }}</td>
                                <td>{{ item.element.find(x => x.key === 'serving_agent').value | clearAgentName }}</td>
                                <td>{{ item.element.find(x => x.key === 'score').value }}</td>
                                <td>
                                    <button type="button" class="btn dash_spy_btn"
                                            @click="CallSpy(item.element.find(x => x.key === 'session_uuid').value)">
                                        <i class="mdi mdi-ear-hearing"></i>
                                    </button>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </section>


        <section class="activity_sec mb-5" v-if="can('dashboard_in_calls', 'View')">
            <div class="activity">
                <div class="activity_ttl base_title">{{ $store.state.locale.inCall }}</div>

                <div class="activity_cnt base_block p-3">
                    <div class="table-responsive settings_content_tb dash_table">
                        <table class="table table-striped">
                            <thead>
                            <tr>
                                <th scope="col">{{ $store.state.locale.time }}</th>
                                <th scope="col">{{ $store.state.locale.number }}</th>
                                <th scope="col">{{ $store.state.locale.duration }}</th>
                                <th scope="col">{{ $store.state.locale.operator }}</th>
                            </tr>
                            </thead>

                            <tbody>
                            <tr v-for="(item, index) in lastHandledCalls">
                                <td>{{ item.callDate }}</td>
                                <td>{{ item.callerId }}</td>
                                <td>{{ item.duration }}</td>
                                <td>{{ item.agentName }}</td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </section>


        <section class="activity_sec mb-5" v-if="can('dashboard_missed_calls', 'View')">
            <div class="activity">
                <div class="activity_ttl base_title">{{ $store.state.locale.missedCall }}</div>

                <div class="activity_cnt base_block p-3">
                    <div class="table-responsive settings_content_tb dash_table">
                        <table class="table table-striped">
                            <thead>
                            <tr>
                                <th scope="col">{{ $store.state.locale.time }}</th>
                                <th scope="col">{{ $store.state.locale.number }}</th>
                                <th scope="col">{{ $store.state.locale.wait }}</th>
                                <th scope="col">{{ $store.state.locale.operator }}</th>
                            </tr>
                            </thead>

                            <tbody>
                            <tr v-for="(item, index) in lastRejectedCalls">
                                <td>{{ item.callDate }}</td>
                                <td>{{ item.callerId ? item.callerId : '---' }}</td>
                                <td>{{ item.waitTime }}</td>
                                <td>{{ item.operatorId }}</td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </section>


        <section class="activity_sec mb-5" v-if="can('dashboard_operator_rating', 'View')">
            <div class="activity">
                <div class="activity_ttl base_title">{{ $store.state.locale.operatorRating }}</div>

                <div class="activity_cnt base_block p-3">
                    <div class="table-responsive settings_content_tb dash_table">
                        <table class="table table-striped">
                            <thead>
                            <tr>
                                <th scope="col">{{ $store.state.locale.operator }} Id</th>
                                <th scope="col">{{ $store.state.locale.operatorName }}</th>
                                <th scope="col">{{ $store.state.locale.callsCount }}</th>
                                <th scope="col">{{ $store.state.locale.totalDuration }}</th>
                            </tr>
                            </thead>

                            <tbody>
                            <tr v-for="(item, index) in topOperators">
                                <td>{{ item.operatorId }}</td>
                                <td>{{ item.agentName }}</td>
                                <td>{{ item.callsCount }}</td>
                                <td>{{ item.totalDuration }}</td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </section>


        <section class="number_sel mb-5" v-if="can('dashboard_review', 'View')">
            <div class="number_sel_txt">{{ $store.state.locale.chooseNumber }}</div>

            <div class="number_sel_inp" style="width: 600px">
                <select v-model="selectedAgentNameId" class="davSelect" @change="getReportByAgent()">
                    <option value="all">All</option>
                    <option v-for="user in users" :value="user.operatorId">
                        {{user.userName}}
                    </option>
                </select>
            </div>
        </section>


        <section class="review_sec mb-5" v-if="can('dashboard_review', 'View')">
            <div class="review">
                <div class="review_ttl base_title">{{ $store.state.locale.preview }}</div>

                <div class="review_cnt base_block">
                    <div class="review_nav">

                        <div class="review_nav_it">
                            <select v-model="selected1" class="davSelect">
                                <option v-for="option in reviews" :value="option.selectedValue">
                                    {{option.name}}
                                </option>
                            </select>
                        </div>

                        <div class="review_nav_it">
                            <select v-model="selected2" class="davSelect">
                                <option v-for="option in reviews" :value="option.selectedValue">
                                    {{option.name}}
                                </option>
                            </select>
                        </div>

                    </div>


                    <div class="review_chart">
                        <apexchart type=area height=500 :options="chart.chartOptions" :series="chart.series"
                                   ref="chart"/>
                    </div>


                    <div class="review_info">

                        <div class="review_info_it">
                            <ul class="review_info_ls">
                                <li v-for="review in reviews"
                                    :class="{active1: review.selectedValue === selected1, active2: review.selectedValue === selected2}"
                                >
                                    <a @click="prevDef($event); selected2 = review.selectedValue" href="">
                                        <span class="txt">{{review.name}}</span>
                                        <span class="val">
											{{
												review.series | countSeries
											}}
										</span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </section>


        <section class="agent_sec" v-if="can('dashboard_agent_activity', 'View')">
            <div class="agent">
                <div class="agent_ttl base_title">{{ $store.state.locale.agentActive }}</div>

                <div class="agent_cnt base_block">
                    <div class="agent_nav">

                        <select v-model="selectedStatus" class="davSelect">
                            <option disabled>{{ $store.state.locale.chooseResult }}</option>
                            <option v-for="status in agentsStatuses" :value="status">
                                {{status}}
                            </option>
                        </select>

                    </div>


                    <div class="agent_stats">
                        <table class="agent_stats_tb">
                            <thead>
                            <tr>
                                <td>{{ $store.state.locale.agent }}</td>
                                <td>{{ $store.state.locale.status }}</td>
                                <td>{{ $store.state.locale.fulltime }}</td>
                                <td>{{ $store.state.locale.talkTime }}</td>
                                <!--<td>Полное время дополн. оброботки</td>-->
                                <td>{{ $store.state.locale.acceptedCall }}</td>
                            </tr>
                            </thead>


                            <tbody>
                            <tr v-for="agent in agentsActivities">
                                <td>
                                    <div class="agent_stats_user">
                                        <a href="">
                                            <img src="../../../public/img/user.jpg" alt="">
                                            <span class="txt">
												{{
													agent.element.find((item)=>{
														return item.key === 'name'
													}).value | clearAgentName
												}}
											</span>
                                        </a>
                                    </div>
                                </td>
                                <td>
                                    {{
                                    agent.element.find((item)=>{
                                    return item.key === 'status'
                                    }).value
                                    }}
                                </td>
                                <td>
                                    {{
                                    agent.element.find((item)=>{
                                    return item.key === 'ready_time'
                                    }).value | readyTime
                                    }}
                                </td>
                                <td>
                                    {{
                                    agent.element.find((item)=>{
                                    return item.key === 'talk_time'
                                    }).value
                                    }}
                                </td>
                                <!--<td>-->
                                <!--01:08:12-->
                                <!--</td>-->
                                <td>
                                    {{
                                    agent.element.find((item)=>{
                                    return item.key === 'calls_answered'
                                    }).value
                                    }}
                                </td>
                            </tr>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </section>
    </div>
</template>


<script src="./DashboardScript.js"></script>


<style scoped>
    .dash_table {

    }

    .dash_table tr {
        background: #fff !important;
    }

    .dash_table tr:nth-of-type(odd) {
        background: rgba(237, 240, 245, 0.51) !important;
    }
</style>